<?php
/**
 * Created by IntelliJ IDEA.
 * User: DennysO
 * Date: 6/3/2015
 * Time: 5:16 PM
 */

class Generic extends Illuminate\Database\Eloquent\Model
{
    public $timestamps = false;

    public function getAll(){
        return $this::all();
    }

    public function getById($id){
        return $this::find($id);
    }

    public function countItems(){
        return $this::count();
    }
}